#!/bin/bash
 

# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Heck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://sam.zoy.org/wtfpl/COPYING for more details.
 
for color in {0..7} ; do
	echo -en "\e[3${color}m ${color} \t"
done

echo -e "\e[0m"

for color in {0..7} ; do

	## echo -en " ${color} \t"		# what background color are we showing?

	# set the background color for the line

	echo -en "\e[4${color}m"

	# display the 8 foreground colors

	for color in {0..7} ; do
		echo -en "\e[3${color}m ${color} \t"
	done

	echo -e "\e[0m"

done
 

exit 0
