/* badorder.p
 *
 * find orders that are missing order lines, bill to, *and* purchase orders
 *
 * this is deliberately horrible code that will cause very intense db activity
 *
 */

define variable flgName as character no-undo initial "badorder&1.flg".

define variable i as integer no-undo.

flgName = substitute( flgName, session:parameter ).
output to value( flgName ) unbuffered append.
message now flgName.
output close.

loop: do while true:

  file-info:file-name = flgName.
  if file-info:full-pathname = ? then leave loop.

  run countBadOrders.
  message now i "bad orders found.".
  pause 1.

end.

quit.


procedure countBadOrders:

  i = 0.

  for each order /* no-lock */	/* might as well share-lock them too while we're being a bad citizen...	*/
     where not can-find( orderLine of order )
        and not can-find( billTo of order )
        and not can-find( purchaseOrder where string( poNum ) = order.po ) :

    i = i + 1.

  end.

  return.

end.

